<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>Uses of Package fr.inria.alpage.frmgcm.utils</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Package fr.inria.alpage.frmgcm.utils";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package fr.inria.alpage.frmgcm.utils" class="title">Uses of Package<br>fr.inria.alpage.frmgcm.utils</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm">fr.inria.alpage.frmgcm</a></td>
<td class="colLast">
<div class="block">This package contains the main entry point of the application and the global configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.corpus">fr.inria.alpage.frmgcm.corpus</a></td>
<td class="colLast">
<div class="block">This package contains model definition.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.gm">fr.inria.alpage.frmgcm.gm</a></td>
<td class="colLast">
<div class="block">This package contains classes handling graph related operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.search">fr.inria.alpage.frmgcm.search</a></td>
<td class="colLast">
<div class="block">This package encompass the classes handling search operations over elasticsearch index using dpath query language.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.tools">fr.inria.alpage.frmgcm.tools</a></td>
<td class="colLast">
<div class="block">This package contains unrelated entry points (scripts) using the application code as library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.utils">fr.inria.alpage.frmgcm.utils</a></td>
<td class="colLast">
<div class="block">This package contains some utility classes.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/package-summary.html">fr.inria.alpage.frmgcm</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html#fr.inria.alpage.frmgcm">Utils.ValidationBean</a>
<div class="block">Convenient simple structure used as generic validation object message</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.corpus">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.MapReduceFolderDelegate.html#fr.inria.alpage.frmgcm.corpus">Utils.MapReduceFolderDelegate</a>
<div class="block">The interface used in <code>mapReduceFolder</code> to process files</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html#fr.inria.alpage.frmgcm.corpus">Utils.ValidationBean</a>
<div class="block">Convenient simple structure used as generic validation object message</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.gm">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html#fr.inria.alpage.frmgcm.gm">Utils.ValidationBean</a>
<div class="block">Convenient simple structure used as generic validation object message</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.search">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html#fr.inria.alpage.frmgcm.search">Utils.ValidationBean</a>
<div class="block">Convenient simple structure used as generic validation object message</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.tools">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/tools/package-summary.html">fr.inria.alpage.frmgcm.tools</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.MapReduceFolderDelegate.html#fr.inria.alpage.frmgcm.tools">Utils.MapReduceFolderDelegate</a>
<div class="block">The interface used in <code>mapReduceFolder</code> to process files</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.ValidationBean.html#fr.inria.alpage.frmgcm.tools">Utils.ValidationBean</a>
<div class="block">Convenient simple structure used as generic validation object message</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.utils">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> used by <a href="../../../../../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/AbstractCacheManager.Cacheable.html#fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a>
<div class="block">Instance of this class is used to embed data for caching purpose</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/AbstractCacheManager.CompositeCacheable.html#fr.inria.alpage.frmgcm.utils">AbstractCacheManager.CompositeCacheable</a>
<div class="block">Instances of this class is used to embed LARGE data for caching purpose (by automatically creating multiple cache segments)</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.BrowseTarFileHandler.html#fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a>
<div class="block">Abstract class used for browsing a tar file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.MapReduceFolderDelegate.html#fr.inria.alpage.frmgcm.utils">Utils.MapReduceFolderDelegate</a>
<div class="block">The interface used in <code>mapReduceFolder</code> to process files</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.ReadModifyWriteProcessorInterface.html#fr.inria.alpage.frmgcm.utils">Utils.ReadModifyWriteProcessorInterface</a>
<div class="block">Interface used for the method <code>readModifyWrite</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.URI.html#fr.inria.alpage.frmgcm.utils">Utils.URI</a>
<div class="block">Handle indifferently local filepath and url for data retrieval</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../fr/inria/alpage/frmgcm/utils/class-use/Utils.URI.URI_TYPE.html#fr.inria.alpage.frmgcm.utils">Utils.URI.URI_TYPE</a>
<div class="block">Types of uri handled</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
